module Specific
  module Command
    class Build
      attr_reader :spec, :renderer

      def initialize(spec, type)
        @spec = spec
        @type = type
        @renderer =  Renderer.for(@type)
      end

      def run
        puts renderer.new(spec).render
      end
    end
  end
end
