module Specific
  class Tag < Struct.new(:name)
    def id?
      !!id
    end

    def group?
      !!group_name
    end

    def id
      @id ||= (name.match(/^id_(.+)$/) || [])[1]
    end

    def group_name
      @group_name ||= (name.match(/^group_(.+)$/) || [])[1]
    end
  end
end
